#include<iostream>
using namespace std;

int main(){
 long long n,maxV=2,oldMaxV=2,pro=1;
 cin>>n;
 long long a[n];
 for(int i=0 ; i<n ; i++){
    a[i]=i+1;
 }
 if(n==2){
    cout<<"2";
 }else{
     for(int i=2 ; maxV!=1 ; i++){
            pro*=i;
            maxV=1;
        for(int i=1 ; i<=n ; i++){
            if(a[i]-1%pro==0){
                if(maxV<a[i]){
                    maxV=a[i];
                }
            }else{
               a[i]=0;
            }
        }
        if(maxV!=1){
            oldMaxV=maxV;
        }
     }
     cout<<oldMaxV;

 }
 return 0;
}

